summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtcwg-benchmark.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/tcwg-benchmark.sh b/tcwg-benchmark.sh
index 326b2ce1..4e132355 100755
--- a/tcwg-benchmark.sh
+++ b/tcwg-benchmark.sh
@@ -40,6 +40,8 @@ build_container_port=
# wrong when preparing the test environment
trap "cleanup_all_containers" EXIT
+. jenkins-helpers.sh
+
case "$toolchain_url" in
"ssh://"*)
ccprefix="${toolchain_url##ssh://}"
@@ -48,9 +50,9 @@ case "$toolchain_url" in
exit 1
fi
;;
- "http://"*|"https://"*)
- wget --progress=dot:giga --no-check-certificate "${toolchain_url}"
- tarball=$(basename "${toolchain_url}")
+ "http://"*".tar.xz"|"https://"*".tar.xz")
+ wget_wildcard_url "$toolchain_url" --no-check-certificate
+ tarball="$(ls $(basename "$toolchain_url"))"
tar xf "${tarball}"
toolchaindir=$(echo "${tarball}" | sed 's/.tar.xz//')
ccpath=$(find "$WORKSPACE/$toolchaindir" -name "*-gcc")
@@ -60,6 +62,10 @@ case "$toolchain_url" in
sysroot="$(find "$WORKSPACE/$toolchaindir" -name "libc")"
fi
;;
+ *)
+ echo "ERROR: Cannot handle toolchain_url: $toolchain_url"
+ exit 1
+ ;;
esac
# Slaves for this job are virtual slaves on dev-01,